Addon:HtmlView

From Gramps
Jump to: navigation, search
Gramps-notes.png

Please use carefully on data that is backed up, and help make it better by reporting any comments or problems to the author, or issues to the bug tracker
Unless otherwise stated on this page, you can download this plugin by following these instructions.
Please note that some Addons have prerequisites that need to be installed before they can be used.
This Addon/Plugin system is controlled by the Plugin Manager

Tango-Dialog-information.png
History

The HtmlView Addon was previously part of the Gramps core plugins know as the Web Category from Version 3.2 to Version 4.1 and was hidden by default. This addons was created for use by the original geography views in gramps 3.x.


Html View

The Html View (Web Category) allows you to browse web pages from within Gramps.

Simply type the web address, and the page will be displayed in the normal way.

Prerequisites

In order to use the Html View:

  • You must ensure that the webkit version 3.0 module is installed

gir-webkit

Ubuntu 16.04 & 18.04 only:

gir1.2-webkit-3.0


Once installed the new Web Category will appear in the navigator.


History

The original Geoview using the HTML View backend
  • Gramps is not a web browser …. yes?, December 10th, 2008, by Benny (originally supported two backends WebKit or Mozilla ( gtkmozembed ).)
  • HTML view 2015,...This module was linked to the old geography view before 3.3...I'll move it into the third-party addons repository..
  • 8023 HTML view fails to load
  • 11628 ..This addon is not any more supported...It will never work on windows because dependencies are too heavy ( the size of the package)...It can work only on linux if you install the prerequisite packages....This addons was created for the geography views in gramps 3.x...
  • GEPS_029:_GTK3-GObject_introspection_Conversion#WebKit_for_Htmlrenderer - The htmlview requires WebKit. Introspection bindings for this is available, in Ubuntu package gir1.2-webkit-3.0
  • Linux:Build_from_source#Linux_package_requirements - python-webkit python-gtkmozembed (WebKitgtk pywebkitgtk) Required for the HTML view
  • Code on Github addons-source/tree/master/HtmlView the comments mention:
    • Html Renderer - Can use the Webkit or Gecko ( Mozilla ) library
    • We use firstly webkit if it is present. If not, we use gtkmozembed.